Returns the list of composition playlists that are owned by a specific content owner.
| FIELD | DESCRIPTION |
| ownerId | Required if no ownerIdentifier (see below) is specified. String. |
| ownerIdentifier | Required if no Gofilex content ownerId (see above) is specified. Object. |
| ownerIdentifier.source | Required if the ownerIdentifier object is provided. String. |
| ownerIdentifier.value | Required if the ownerIdentifier object is provided. String. |
| onlyAvailable | Optional. Boolean. |
EMEA Portal
https://genie.portal.gofilex.com/api/publication/v1/assets/by/owner
curl -vX POST https://genie.portal.gofilex.com/api/publication/v1/assets/by/owner -d @by-owner.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"APAC Portal
https://genie.portal.apac.gofilex.com/api/publication/v1/assets/by/owner
curl -vX POST https://genie.portal.apac.gofilex.com/api/publication/v1/assets/by/owner -d @by-owner.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"MPS Portal
https://genie.portal.mps.gofilex.com/api/publication/v1/assets/by/owner
curl -vX POST https://genie.portal.mps.gofilex.com/api/publication/v1/assets/by/owner -d @by-owner.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"NORAM Portal
https://genie.portal.gofilex.bydeluxe.com/api/publication/v1/assets/by/owner
curl -vX POST https://genie.portal.gofilex.bydeluxe.com/api/publication/v1/assets/by/owner -d @by-owner.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"by-owner.json
{
"ownerId": "HKDd83r8Qy6acvY3R"
}
[{
"_id": "TxnZMptcFE5YNyBQT",
"role": "composition-playlist",
"uuid": "916844f4-3b3a-40bc-85e3-5c267a831e22",
"contentKind": "transitional",
"description": "GOFILEX-LEADER_XSN_F_XX-EN_INT_51_2K_GOF_20150506_GOF_IOP_OV",
"video": {
"type": "standard",
"stereoscopic": false,
"resolution": "2K",
"aspectRatio": "flat",
"frameRate": 24
},
"audio": {
"type": "5.1",
"languages": []
},
"subtitles": {
"type": "open",
"languages": [
"eng"
]
},
"motion": {
"type": "none"
},
"encrypted": false,
"decryptable": false,
"orderable": true,
"_available": true
},{
"_id": "y2iKhC7gw28CiJjJJ",
"role": "composition-playlist",
"uuid": "888c53d9-4ee5-45b8-8f03-ab7ec89c4d85",
"contentKind": "transitional",
"description": "GOFILEX-LEADER_XSN_S_XX-EN_INT_51_2K_GOF_20150506_GOF_IOP_OV",
"video": {
"type": "standard",
"stereoscopic": false,
"resolution": "2K",
"aspectRatio": "scope",
"frameRate": 24
},
"audio": {
"type": "5.1",
"languages": []
},
"subtitles": {
"type": "open",
"languages": [
"eng"
]
},
"motion": {
"type": "none"
},
"encrypted": false,
"decryptable": false,
"orderable": true,
"_available": false
}]NOTE: The _available field corresponds to wether the asset is currently available in one of our archive servers or not.
In case only the available assets are needed, the onlyAvailable option should be provided via the request:
{
"ownerId": "HKDd83r8Qy6acvY3R",
"onlyAvailable: true
}